package com.ruixuan.isc.service;


import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.ruixuan.isc.entity.KuaishouItemCollectSampleExpress;
import com.ruixuan.isc.entity.KuaishouItemCollectSampleLog;
import com.ruixuan.isc.entity.KuaishouItemCollectSamples;

import java.util.List;
import java.util.Map;


/**
 * 【请填写功能名称】Service接口
 *
 * @author ruoyi
 * @date 2023-02-08
 */
public interface IKuaishouItemCollectSamplesService {
    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    KuaishouItemCollectSamples selectKuaishouItemCollectSamplesById(Long id);

    /**
     * 查询【请填写功能名称】列表
     *
     * @return 【请填写功能名称】集合
     */
    List<KuaishouItemCollectSamples> selectKuaishouItemCollectSamplesList(Map<String, Object> requestMap);

    /**
     * 新增【请填写功能名称】
     *
     * @param kuaishouItemCollectSamples 【请填写功能名称】
     * @return 结果
     */
    int insertKuaishouItemCollectSamples(KuaishouItemCollectSamples kuaishouItemCollectSamples);

    /**
     * 修改【请填写功能名称】
     *
     * @param kuaishouItemCollectSamples 【请填写功能名称】
     * @return 结果
     */
    int updateKuaishouItemCollectSamples(KuaishouItemCollectSamples kuaishouItemCollectSamples);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    int deleteKuaishouItemCollectSamplesByIds(Long[] ids);

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    int deleteKuaishouItemCollectSamplesById(Long id);


    JSONObject preview(Long userId, String nickName, JSONArray itemIds, JSONArray ids);

    void batchAdd(JSONArray temCollectSamples);

    void subscribe(Long id, String courierNumber, String code) throws Exception;

    void updateByNum(KuaishouItemCollectSamples updateSample);

    void replaceExpress(KuaishouItemCollectSampleExpress express);

    JSONObject getDetail(Long id);

    Integer getStatusByCourierNumbe(String nu);

    JSONObject courierNumberInfo(String courierNumber);

    void insertLog(KuaishouItemCollectSampleLog sampleLog);

    void cleanLogs(Long id, Integer status);

    List<JSONObject> exportCollectSamples(Map<String, Object> requestMap);

    JSONObject getCollectSampleInfo(Long itemId);

    JSONObject getCopyInfo(String promoterId);

    Long getItemIdById(Long id);

    JSONObject getPersonalInfo(Long userId, String type);

    JSONObject getOrderData(Long userId, String startDate, String endDate, String type, String mediaId);

    JSONObject getDataAnalysis(Long userId, String startDate, String endDate, String type, String mediaId);

    List<JSONObject> queryProductList(Map<String, Object> map);

    List<JSONObject> exportProductList(Map<String, Object> map);

    void batchProcess(JSONArray ids, Integer status);

    void batchAddLogs(List<KuaishouItemCollectSampleLog> logs);

    List<KuaishouItemCollectSamples> getListByPromoterId(String promoterId, Long userId);

    void checkAndUpdateStatus();
}

